/*
 * Copyright 2016 - 2023 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

// Functions for accessing BIOS calls

extern "C" {

// waits for any interrupt
void teagba_halt();

void teagba_stop();

// waits for interrupts specified in interSubs
void teagba_intrwait(unsigned discardExistingIntrs, unsigned intrSubs);

// waits for vblank interrupt
void teagba_vblankintrwait();

}
